[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazIntfImageMask

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazIntfImageMask - applying a mask at the Raw Image level.

## Declaration

Source position: intfgraphics.pas line 281

`type TLazIntfImageMask = class(TFPCustomImage)`
`protected`
`procedure SetInternalColor(); override;` |  |
`function GetInternalColor(); override;` |  |
`procedure SetInternalPixel(); override;` |  |
`function GetInternalPixel(); override;` |  |
`public`
`constructor CreateWithImage(); virtual;` |  |
`property Image: TLazIntfImage; [r]` |  | Image - the image to which masking is applied.
`end;`

## Inheritance

`TLazIntfImageMask` |  | TLazIntfImageMask - applying a mask at the Raw Image level.
`TFPCustomImage`
?
`TObject`